Bug 1940562 - podman search returns 'archived/versioned' repos, but ISE is returned when pulling them
Summary: podman search returns 'archived/versioned' repos, but ISE is returned when pu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-18 15:59 UTC by Stephen Wadeley
Modified: 2021-11-16 14:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:10:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32159 0 Normal New "podman search returns 'archived/versioned' repos, but ISE is returned when pulling them" 2021-03-22 16:22:25 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:10:35 UTC

Description Stephen Wadeley 2021-03-18 15:59:11 UTC
Description of problem:


Version-Release number of selected component (if applicable):

Sat6.9 snap 17





Steps to Reproduce:
1. Create a product and repo with images (in this case, hello-world [1])
2. Create a Content View of the container images and publish it
3. On the CLI, login to Satellite Server: podman login --tls-verify=false
 <sat6> 
4. Create a CCV, add above CV, publish, promote to atest LCE
5. podman search --tls-verify=false <sat6>/default_organization
6. Try to pull all the images listed in the search step

Actual results:

I see some :
Requesting bear token: invalid status code from registry 500 (Internal Server Error)


Trying to pull dhcp-2-45/default_organization-pm_test-b-docker-docker-images-hello-world:latest...
Getting image source signatures
Copying blob b8dfde127a29 [--------------------------------------] 0.0b / 0.0b
Copying config d1165f2212 done  
Writing manifest to image destination
Storing signatures
d1165f2212346b2bab48cb01c1e39ee8ad1be46b87873d9ca7a4e434980a7726

[sjw@t480s tmp]$ podman pull --tls-verify=false  dhcp-2-45/default_organization-docker-images-3_0-docker-images-hello-world
Trying to pull dhcp-2-45/default_organization-docker-images-3_0-docker-images-hello-world:latest...
  Requesting bear token: invalid status code from registry 500 (Internal Server Error)
Error: Error initializing source docker://dhcp-2-45/default_organization-docker-images-3_0-docker-images-hello-world:latest: Requesting bear token: invalid status code from registry 500 (Internal Server Error)

[sjw@t480s tmp]$ podman pull --tls-verify=false  dhcp-2-45/default_organization-docker-images-hello-world
Trying to pull dhcp-2-45/default_organization-docker-images-hello-world:latest...
Getting image source signatures
Copying blob b8dfde127a29 [--------------------------------------] 0.0b / 0.0b
Copying config d1165f2212 done  
Writing manifest to image destination
Storing signatures
d1165f2212346b2bab48cb01c1e39ee8ad1be46b87873d9ca7a4e434980a7726

[sjw@t480s tmp]$ podman pull --tls-verify=false  dhcp-2-45/default_organization-docker-images-1_0-docker-images-hello-world
Trying to pull dhcp-2-45default_organization-docker-images-1_0-docker-images-hello-world:latest...
  Requesting bear token: invalid status code from registry 500 (Internal Server Error)
Error: Error initializing source docker://dhcp-2-45/default_organization-docker-images-1_0-docker-images-hello-world:latest: Requesting bear token: invalid status code from registry 500 (Internal Server Error)

Expected results:

Either an image can be pulled or a meaningful error message is given


Additional info:

[1] https://hub.docker.com/_/hello-world

Comment 2 Justin Sherrill 2021-03-19 16:42:58 UTC
The root cause is that podman search returned versioned repos, but we don't support pulling them today.  Technically you could have pulled via crane with pulp2, but they never got synced to capsules.  I'm going to propose we do not return these in the search results.

Comment 3 Justin Sherrill 2021-03-19 17:09:20 UTC
we should also return 404 if a user tries to pull these repos

Comment 4 James Jeffers 2021-03-22 16:22:24 UTC
Created redmine issue https://projects.theforeman.org/issues/32159 from this bug

Comment 5 Bryan Kearney 2021-03-24 20:04:45 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/32159 has been resolved.

Comment 9 errata-xmlrpc 2021-11-16 14:10:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.